#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);
  use strict;


# ----------------------
# Connect to the database
  w3t::db_connect();


# -------------
# Grab the input
  my %FORM = w3t::get_input();


# --------------------
# Assign the variables
  my $Number      = $FORM{'Number'};
  my $Title       = $FORM{'Title'};


# ---------------------------
# Make sure this is an admin 
  my %user = w3t::authenticate();
  if ($user{'Status'} ne 'Administrator') {

    w3t::not_right ("You must be logged in, and be a valid administrator to access this.");

  }

# ----------------
# Update the board
  my $Title_q       = $dbh -> quote($Title);

  my $query = qq!
    UPDATE Category 
    SET Title=$Title_q
    WHERE Number = $Number
  !;
  $dbh -> do($query) or die "Can't execute query: $query.  Reason: $DBI::errstr";


# ------------------------
# Send them a confirmation
  w3t::send_header ("The category has been changed.","<META HTTP-EQUIV=\"Refresh\" content=\"5;url=$config{'cgiurl'}/admin/login.pl\">");
  w3t::table_header("The category has been changed.");

  print "The category properties have been changed.  You will now be returned to the main administration page.";

  w3t::send_footer();
