#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);
  use strict;


# ----------------------
# Connect to the database
  w3t::db_connect();


# --------------------------
# Make sure this is an admin!
  my %user = w3t::authenticate();
  if ($user{'Status'} ne 'Administrator') {
    w3t::not_right ("You must be logged in, and be a valid administrator to access this.");
  }


# ------------------------
# Send them a page 
  w3t::send_header ("Grant Administrator privileges");
  w3t::table_header("Grant Administrator privileges.");


# ---------------------
# Get all the usernames
  my $query = qq!
    SELECT Username
    FROM Users 
    ORDER BY Username
  !;
  my $sth = $dbh -> prepare($query) or die "Query syntax error: $DBI::errstr.";
  $sth -> execute() or die "Can't execute query: $query. Reason: $DBI::errstr.";

  print "Choose the User that you would like to grant Administrator privileges to.  Administrators have full control over the forums, so please make sure you only give Admin rights to trusted users.";
  print "<FORM METHOD = POST action =\"$config{'cgiurl'}/admin/dograntadmin.pl\">";
  print "<select name = \"Username\" size = 15>";
  my $Username = '';
  my $rows = $sth -> rows;

  for (my $i=0; $i < $rows; $i++){
    ($Username) = $sth->fetchrow_array;
    print "<option>$Username</option>\n";
  }
  print "</select>";
  print "<br><br>";
  print "<input type=submit value=\"Submit\">";
  print "</form>"; 

  $sth -> finish;
  w3t::send_footer();
