#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);
  use strict;


# ----------------------
# Connect to the database
  w3t::db_connect();


# --------------------------
# Make sure this is an admin!
  my %user = w3t::authenticate();
  if ($user{'Status'} ne 'Administrator') {
    w3t::not_right ("You must be logged in, and be a valid administrator to access this.");
  }


# ------------------------
# Send them a page 
  w3t::send_header ("Select users to view");
  w3t::table_header("Select users to view");


  print "Choose how you want to view the User list.";
  print "<FORM METHOD = POST action =\"$config{'cgiurl'}/admin/showusers.pl\">";
  print "Show Usernames that begin with ";
  print "<select name=Start size=1>";
  print "<option>0-9</option>";
  print "<option>A</option>\n";
  print "<option>B</option>\n";
  print "<option>C</option>\n";
  print "<option>D</option>\n";
  print "<option>E</option>\n";
  print "<option>F</option>\n";
  print "<option>G</option>\n";
  print "<option>H</option>\n";
  print "<option>I</option>\n";
  print "<option>J</option>\n";
  print "<option>K</option>\n";
  print "<option>L</option>\n";
  print "<option>M</option>\n";
  print "<option>N</option>\n";
  print "<option>O</option>\n";
  print "<option>P</option>\n";
  print "<option>Q</option>\n";
  print "<option>R</option>\n";
  print "<option>S</option>\n";
  print "<option>T</option>\n";
  print "<option>U</option>\n";
  print "<option>V</option>\n";
  print "<option>W</option>\n";
  print "<option>X</option>\n";
  print "<option>Y</option>\n";
  print "<option>Z</option>\n";
  print "<option>All Users</option>\n";
  print "</select>";
  print "<br><br>";
  print "<input type=submit value=\"Submit\">";
  print "</form>"; 

  w3t::send_footer();
