#!/usr/bin/perl
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);

  use strict;


# ---------------------
# Give them the search page
  w3t::db_connect(); 
  w3t::send_header("Search");
  w3t::table_header("Search");

  print qq~
    <table border=0 width=100% cellspacing=0 bgcolor=$config{'tddark'}>
    <tr><td> 
    Fill out the information below to search through the forums.
    </p>
    <form method= POST action = "$config{'cgiurl'}/dosearch.pl">
    <p>
    </td></tr><tr><td bgcolor=$config{'tdlight'}>
    Forum to Search<br>
  ~;


# ---------------
# Grab the forums
  my %cookie   = w3t::get_cookie;
  my $Username = $cookie{'Username'};
  my $Password = $cookie{'Password'};
  my %user     = w3t::authenticate($Username,$Password);

  my $Security = $user{'Security'};
  $Security  ||= $config{'anon_security'};

  my $query =qq!
    SELECT Title,Keyword, Security
    FROM   Boards
    WHERE  Security <= $Security
    ORDER BY Title
  !;

  my $sth = $dbh -> prepare($query) or die "Query syntax error: $DBI::errstr. Query: $query";
  $sth -> execute() or die "Can't execute query. Reason: $DBI::errstr";

  my $forums = $sth -> rows;


# -----------------------------------
# Assign the forums to the select box
  print "<select name = Forum>";
  for (my $i=0;$i<$forums;$i++) {

    my ($Title,$Keyword) = $sth -> fetchrow_array;  
    print "<option value=\"$Keyword\">$Title</option>";

  }

  print "<option value=\"All_Forums\">All Forums</option>";
  print "</select>";

  print qq~
    <p>
    Words to search for<br>
    <input type=text name = Words size=30>
    <p>
    Search options<br>
    <select name = Match>
    <option value="Entire Phrase">Entire Phrase</option>
    <option value="And">And</option>
    <option value="Or">Or</option>
    <option value="Username">By Username</option>
    </select>
    <p>
    Date Range<br>
    <select name = Old>
    <option value="1day">Newer than 1 day</option>
    <option value="2days">Newer than 2 days</option>
    <option selected value="1week">Newer than 1 week</option>
    <option value="2weeks">Newer than 2 weeks</option>
    <option value="3weeks">Newer than 3 weeks</option>
    <option value="1month">Newer than 1 month</option>
    <option value="3months">Newer than 3 months</option>
    <option value="6months">Newer than 6 months</option>
    <option value="1year">Newer than 1 year</option>
    <option value="allposts">All posts</option>
    </select>
    <br><br>
    Number of Results to show per page (This is ignored when searching All Forums)<br>
    <input type=text name = Limit value = 25 size=3>
    <p>
    <input type=submit value=submit>
    </form>
    </td></tr></table>
  ~;


# -------------
# Send a footer
  $sth -> finish;
  w3t::send_footer;
